#Serviços da aplicação principal
version: '3.7'
networks:
  network:

volumes:
  ${PDCI_TEMPLATE_NAME_PROJETO}_DocumentRoot:

services:
  ${PDCI_TEMPLATE_NAME_SISTEMA}:
    image: registry.gitlab.com/sisicmbio/${PDCI_TEMPLATE_NAME_PROJETO}:develop
#    build:
#      dockerfile: Dockerfile
#      context: .
#      target: testing
#      cache_from:
#        -  registry.gitlab.com/sisicmbio/${PDCI_TEMPLATE_NAME_PROJETO}:develop
#    dns:
#      - 10.197.32.131
#      - 10.197.32.133
    env_file:
      - ./.env.docker.dev
    restart: unless-stopped
    environment:
      - VIRTUAL_HOST=${PDCI_${PDCI_TEMPLATE_UPPER_NAME_SISTEMA}_VIRTUAL_HOST}
      - VIRTUAL_PORT=80
      - VIRTUAL_PROTO=http
      - HTTPS_METHOD=noredirect
    volumes:
      - ${PDCI_TEMPLATE_NAME_PROJETO}_DocumentRoot:/var/www/html
#    ports:
#      - 8081:80
    networks:
      - network
    deploy:
      resources:
        limits:
          cpus: '0.50'
          memory: 1024M
        reservations:
          cpus: '0.25'
          memory: 256M
  ${PDCI_TEMPLATE_NAME_SISTEMA}_sql:
    image: registry.gitlab.com/sisicmbio/${PDCI_TEMPLATE_NAME_PROJETO}/image_file_sql:develop
    environment:
      - PDCI_BD_HOST=${PDCI_TEMPLATE_NAME_SISTEMA}_db
      - PDCI_DB_HOST=${PDCI_TEMPLATE_NAME_SISTEMA}_db
      - PDCI_DB_NAME=db_dev_cotec
      - PDCI_DB_PORT=5432
      - PDCI_DB_SCHEMA=${PDCI_TEMPLATE_NAME_SISTEMA}
      - PDCI_DB_USER=postgres
      - PDCI_DB_PASSWORD=postgres
    networks:
      - network
    command:
      - pdci_upd_sql.sh